<?php

use NoccyLabs\React\Shell\CommandHandler;
use React\EventLoop\Loop;

require_once __DIR__."/../vendor/autoload.php";

$shell = new NoccyLabs\React\Shell\Shell();

$commands = new CommandHandler();
$commands->add('help', function ($args, $shell) {
    $shell->write("This could be usage help :)\n");
    $shell->write("Exit by pressing ^C\n");
});
$commands->on('command', function ($command, $args, $shell) {
    $shell->write("Bad command '{$command}', try help.\n");
    $shell->write("Arguments passed: ".json_encode($args)."\n");
});

$shell->on('prompt', function ($shell) { 
    $shell->setPrompt(date(">> ")); 
});
$shell->on('input', $commands);
